This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205537 - Review Request: perl-Test-Object - Thoroughly testing objects via registered handlers
Review Request: perl-Test-Object - Thoroughly testing objects via registered...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-06 19:27 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 14:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-09-06 19:27:05 EDT
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Object.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Test-Object-0.06-1.src.rpm

Description:
Test::Object is a testing package designed to allow you to easily test
what you believe is a valid object against the expected behaviour of
all of the classes in its inheritance tree in one single call.
Comment 1 Jose Pedro Oliveira 2006-09-06 19:32:12 EDT
Notes to reviewer(s):

* The requirement  'Test::Builder' => '0.62'  is wrong.
  I believe the author wanted the version to be 0.32
  (the module version included in perl 5.8.8).

  - This doesn't abort the built (=> no patch)
  - This issue has already been raised in CPAN's RT system
    (http://rt.cpan.org/Public/Bug/Display.html?id=21278)

* This module is a new requirement of PPI 1.117.
Comment 2 Ralf Corsepius 2006-09-07 07:50:27 EDT
(In reply to comment #1)
> Notes to reviewer(s):
> 
> * The requirement  'Test::Builder' => '0.62'  is wrong.
>   I believe the author wanted the version to be 0.32
>   (the module version included in perl 5.8.8).
I am inclined to agree, but I'd patch Makefile.PL and
BR: perl(Test::Builder) >= 0.32, to make this discrepancy apparent.

Anyway, decision left to you ...

APPROVED
Comment 3 Jose Pedro Oliveira 2006-09-07 09:31:38 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Notes to reviewer(s):
> > 
> > * The requirement  'Test::Builder' => '0.62'  is wrong.
> >   I believe the author wanted the version to be 0.32
> >   (the module version included in perl 5.8.8).
> I am inclined to agree, but I'd patch Makefile.PL and
> BR: perl(Test::Builder) >= 0.32, to make this discrepancy apparent.
> 
> Anyway, decision left to you ...

I will patch the Makefile.PL.

> APPROVED

Thanks.
Comment 4 Jose Pedro Oliveira 2006-09-07 09:51:30 EDT
The author has released version 0.07 a few hours ago with 
   perl(Test::Builder) >= 0.33
as the build requirement.

I will open a new RT ticket about it (trying to have the version changed to 0.32).
Meanwhile I import and patch Test::Object 0.07 (I will delay branching until a
hear from upstream). 

References:
* Diff from Test-Object-0.06 to Test-Object-0.07
  http://search.cpan.org/diff?from=Test-Object-0.06&to=Test-Object-0.07
Comment 5 Jose Pedro Oliveira 2006-09-16 13:10:34 EDT
Still no news from upstream.

I have just requested the FC-5 branch creation as it built correctly in devel
(with a Nakefile.PL patch) and the PPI update also passed all its tests. 
Comment 6 Jose Pedro Oliveira 2006-09-16 14:20:08 EDT
Built for FC-5 and devel (perl-PPI-1.117-1 also built correctly for FC-5 and devel).

Note You need to log in before you can comment on or make changes to this bug.